Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginParameter

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginParameter

    public class PluginParameter

extends PluginSBase

This class wraps org.sbml.libsbml.Parameter for the plug-in.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginParameter(PluginKineticLaw parent)` Constructor case of local parameter
`PluginParameter(PluginModel parent)` Constructor case of global parameter
`PluginParameter(java.lang.String id, PluginKineticLaw parent)` Constructor case of local parameter
`PluginParameter(java.lang.String id, PluginModel parent)` Constructor case of global parameter

Method Summary
`boolean` | `getConstant()`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`PluginReaction` | `getParentReaction()`
`java.lang.String` | `getParentSBaseID()`
`java.lang.String` | `getUnits()`
`double` | `getValue()`
`void` | `setConstant(boolean constant)` Sets the constant of this PluginParameter.
`void` | `setId(java.lang.String id)` Sets the id of this PluginParameter.
`void` | `setName(java.lang.String name)` Sets the name of this PluginParameter.
`void` | `setUnits(java.lang.String unit)` Sets the unit of this PluginParameter.
`void` | `setValue(double value)` Sets the value of this PluginParameter.
`void` | `update(PluginParameter parameter)` Update all properties of this PluginParameter to the same as the given PluginParameter

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginParameter

    public PluginParameter(PluginKineticLaw parent)

  Constructor case of local parameter

  Parameters:
    `parent` - PluginKineticLaw as the parent of this PluginParameter

### PluginParameter

    public PluginParameter(PluginModel parent)

  Constructor case of global parameter

  Parameters:
    `parent` - PluginModel as the parent of this PluginParameter

### PluginParameter

    public PluginParameter(java.lang.String id,
                           PluginKineticLaw parent)

  Constructor case of local parameter

  Parameters:
    `id` - the id of this PluginParameter
    `parent` - PluginKineticLaw as the parent of this PluginParameter

### PluginParameter

    public PluginParameter(java.lang.String id,
                           PluginModel parent)

  Constructor case of global parameter

  Parameters:
    `id` - the id of this PluginParameter
    `parent` - PluginModel as the parent of this PluginParameter

Method Detail

### update

    public void update(PluginParameter parameter)

  Update all properties of this PluginParameter to the same as the given PluginParameter

  Parameters:
    `parameter` -

### setId

    public void setId(java.lang.String id)

  Sets the id of this PluginParameter.

  Parameters:
    `id` -

### getId

    public java.lang.String getId()

  Returns:
    the id of this PluginParameter.

### setConstant

    public void setConstant(boolean constant)

  Sets the constant of this PluginParameter.

  Parameters:
    `constant` -

### getConstant

    public boolean getConstant()

  Returns:
    the constant of this PluginParameter.

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginParameter.

  Parameters:
    `name` -

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginParameter.

### setUnits

    public void setUnits(java.lang.String unit)

  Sets the unit of this PluginParameter.

  Parameters:
    `unit` -

### getUnits

    public java.lang.String getUnits()

  Returns:
    the units of this PluginParameter.

### setValue

    public void setValue(double value)

  Sets the value of this PluginParameter.

  Parameters:
    `value` -

### getValue

    public double getValue()

  Returns:
    the value of this PluginParameter.

### getParentSBaseID

    public java.lang.String getParentSBaseID()

  Returns:
    the parentSBaseID of this PluginParameter.

### getParentReaction

    public PluginReaction getParentReaction()

  Returns:
    the PluginReaction if the ParentSBase is PluginKineticLaw and the PluginKineticLaw has a PluginReaction as a parent, null otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD